WordPress 2.7.1 公開 自動アップグレードも可能

2009-2-12 07:00
このエントリーをはてなブックマークに追加

WordPress 2.7.1 がリリースされました。2.6 くらいから、自動アップグレード(アップデート)ができるようになっているので楽ですね。以下、アップデート手順です。

WordPress 2.7.1 が利用可能です!のメッセージ

「WordPress 2.7.1. が利用可能です! アップデートしてください。」のメッセージが出たので、「アップデートしてください」のリンクをクリック。

アップデート前の画面

アップデート前の画面では、バックアップを取ることを薦められます。万が一に備えてバックアップを取りましょう。バックアップ作業が一番時間がかかるところです。バックアップしたら、「自動アップグレードを実行」を押します。

WordPress のアップデートが完了した画面

アップグレード用のファイルがダウンロードされ、自動的に更新されました。これで終了です。とても簡単ですね。

ところが、次のような接続情報を要求する画面がでてうまくいかないことがあります。

接続情報が必要ですという画面が表示される

サーバの WordPress のディレクトリに設定されているパーミッションが適切に設定されていない(Apache の書き込み権限がないなど)場合に、この画面が出ます。パーミッションを見直して、正しく設定してください。いくら書き込み権限が必要だからといって、すべてのファイルのパーミッションを 777 にしてはいけません。

それにしても、上記画面に FTP サーバの接続情報を設定してもうまく動作した試しがありません。セキュリティ上もここに FTP のユーザ・パスワードを書き込むのは避けた方が無難です。

  • ブックマーク : アクセス: 9,064回
  • カテゴリー : WordPress
  • キーワード :

4件のコメント

  1. 津田ふみかが実行したの?

    Comment by BlogPetのusausa2009-02-12 14:55

  2. そうだよ。>usausa

    Comment by 津田 ふみか2009-02-12 15:37

  3. 最近 WordPress を導入したばかりなのですが、早速 2.8.1 の自動アップグレードでハマりまくってしまい、さんざん苦労してググっていたところ、こちらにたどり着いたおかげで、なんとかなりました!

    とは言うものの、結局ディレクトリーのパーミッションはそのままに、ftp を有効にする方法を見つけました。なんと!PHP のインストールオプション(自宅サーバーなので、PHP もソースからインストール)の問題だったようです orz

    Comment by きみちゃん2009-07-15 14:21

  4. きみちゃんさん、初めまして。PHP のオプションですか。–enable-ftp なんてのがあるんですね。私も知りませんでした。まだまだ知らないことがたくさんですね。勉強しないと(^^;)

    Comment by 津田 ふみか2009-07-16 00:06

現在、コメントフォームは閉鎖中です。

68 queries. HTML convert time: 1.128 sec. Powered by WordPress. Valid XHTML
Copyright © 2003-2017 @ futuremix.org ログイン